| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Functions
tif_print.c File Reference
`#include "tiffiop.h"`
`#include <stdio.h>`
`#include <string.h>`
`#include <ctype.h>`

Go to the source code of this file.

## Macros
#define | NPHOTONAMES (sizeof (photoNames) / sizeof (photoNames[0]))
#define | NORIENTNAMES (sizeof (orientNames) / sizeof (orientNames[0]))

## Functions
void | TIFFPrintDirectory (TIFF *tif, FILE *fd, long flags)
void | _TIFFprintAscii (FILE *fd, const char *cp)
void | _TIFFprintAsciiTag (FILE *fd, const char *name, const char *value)

## Macro Definition Documentation

#define NORIENTNAMES (sizeof (orientNames) / sizeof (orientNames[0]))

Definition at line 61 of file tif_print.c.

#define NPHOTONAMES (sizeof (photoNames) / sizeof (photoNames[0]))

Definition at line 48 of file tif_print.c.

## Function Documentation

void _TIFFprintAscii | ( | FILE * | fd,
|  | const char * | cp
| ) |  |

Definition at line 612 of file tif_print.c.

void _TIFFprintAsciiTag | ( | FILE * | fd,
|  | const char * | name,
|  | const char * | value
| ) |  |

Definition at line 632 of file tif_print.c.

void TIFFPrintDirectory | ( | TIFF * | tif,
|  | FILE * | fd,
|  | long | flags
| ) |  |

Definition at line 195 of file tif_print.c.